
package com.tmerclub.cloud.common.order.bo;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单退款操作BO
 * @author tmerclub
 * @date 2020/12/8
 */
public class RefundStockOperateBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 是否供应商代销商品，1.是 0.否
     */
    private List<RefundReductionStockBO> refundReductionStockList;

    private Long id;

    public RefundStockOperateBO() {
    }

    public RefundStockOperateBO(List<RefundReductionStockBO> refundReductionStockList, Long id) {
        this.refundReductionStockList = refundReductionStockList;
        this.id = id;
    }

    public List<RefundReductionStockBO> getRefundReductionStockList() {
        return refundReductionStockList;
    }

    public void setRefundReductionStockList(List<RefundReductionStockBO> refundReductionStockList) {
        this.refundReductionStockList = refundReductionStockList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "RefundStockOperateBO{" +
                "refundReductionStockList=" + refundReductionStockList +
                ", id=" + id +
                '}';
    }
}
